(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      9657,        246]
NotebookOptionsPosition[      8686,        224]
NotebookOutlinePosition[      9110,        240]
CellTagsIndexPosition[      9067,        237]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", " ", "definiciones", " ", "*)"}]], "Input",
 CellChangeTimes->{
  3.595519914832216*^9, 3.595519953326418*^9, {3.800513015630929*^9, 
   3.800513020919329*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"7db3b26a-0156-48d4-b061-069852ac8e30"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Nu", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"1", "/", "2"}], 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Xi]"}], ")"}]}], ",", 
     RowBox[{
      RowBox[{"1", "/", "2"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "\[Xi]"}], ")"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Nv", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"1", "/", "4"}], " ", 
      RowBox[{"(", 
       RowBox[{"2", "-", 
        RowBox[{"3", " ", "\[Xi]"}], "+", 
        RowBox[{"\[Xi]", "^", "3"}]}], ")"}]}], ",", 
     RowBox[{
      RowBox[{"1", "/", "4"}], " ", 
      RowBox[{"(", 
       RowBox[{"2", "+", 
        RowBox[{"3", " ", "\[Xi]"}], "-", 
        RowBox[{"\[Xi]", "^", "3"}]}], ")"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"N\[Theta]", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"L", "/", "8"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[Xi]", "-", 
        RowBox[{"\[Xi]", "^", "2"}], "+", 
        RowBox[{"\[Xi]", "^", "3"}]}], ")"}]}], ",", 
     RowBox[{
      RowBox[{"L", "/", "8"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "-", "\[Xi]", "+", 
        RowBox[{"\[Xi]", "^", "2"}], "+", 
        RowBox[{"\[Xi]", "^", "3"}]}], ")"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.8137677341794744`*^9, 3.8137678238014755`*^9}, {
   3.813767878619876*^9, 3.813767943110276*^9}, {3.813767979099476*^9, 
   3.8137680415150766`*^9}, {3.8312296596788626`*^9, 
   3.8312297372130947`*^9}, {3.831230040065509*^9, 3.8312301184287252`*^9}, 
   3.8312313177928095`*^9, {3.83123135003799*^9, 3.831231361104908*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"854926e5-7808-4955-85ce-5de6040d2890"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{3.814357392400452*^9, 3.8313149449525585`*^9},
 CellLabel->"In[18]:=",ExpressionUUID->"118e9ed4-44aa-4706-9ef5-48c64e08babf"],

Cell[BoxData[
 RowBox[{
  RowBox[{"mN", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Nu", "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", "0", ",", "0", ",", 
       RowBox[{"Nu", "[", 
        RowBox[{"[", "2", "]"}], "]"}], ",", "0", ",", "0"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"Nv", "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", 
       RowBox[{"N\[Theta]", "[", 
        RowBox[{"[", "1", "]"}], "]"}], ",", "0", ",", 
       RowBox[{"Nv", "[", 
        RowBox[{"[", "2", "]"}], "]"}], ",", 
       RowBox[{"N\[Theta]", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "\[IndentingNewLine]", 
    "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.8313459772179565`*^9, 3.8313460564001403`*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"9cb951e1-1a08-4983-ae9e-a9cdc517c6b3"],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{3.831345972874421*^9},
 CellLabel->"In[20]:=",ExpressionUUID->"6aa40487-2225-4bca-bb40-dcc1cc345d09"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"fuerzas", " ", 
     RowBox[{"equivalentes", " ", "--"}]}], ">>", " ", 
    RowBox[{"carga", " ", "distribuida", " ", 
     RowBox[{"(", "q", ")"}]}]}], " ", "*)"}], "\n", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"int", "=", 
     RowBox[{
      RowBox[{"Transpose", "[", "mN", "]"}], ".", 
      RowBox[{"{", 
       RowBox[{"0", ",", "q"}], "}"}]}]}], " ", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"mK", "=", 
     RowBox[{"Integrate", "[", 
      RowBox[{
       RowBox[{"int", " ", 
        RowBox[{"L", "/", "2"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Xi]", ",", 
         RowBox[{"-", "1"}], ",", 
         RowBox[{"+", "1"}]}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"MatrixForm", "[", "mK", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.8005125982121267`*^9, 3.8005126269317265`*^9}, {
   3.800512721920127*^9, 3.8005128210053277`*^9}, {3.8005129460393286`*^9, 
   3.8005130107325287`*^9}, {3.8005131497997303`*^9, 
   3.8005131542613297`*^9}, {3.800513573574733*^9, 3.800513597973133*^9}, {
   3.8005136875639334`*^9, 3.800513796883134*^9}, {3.800513908408535*^9, 
   3.800513928111335*^9}, {3.800514404051738*^9, 3.8005149706747417`*^9}, {
   3.8005164609869475`*^9, 3.8005166763959475`*^9}, {3.8005167151899476`*^9, 
   3.800516738382348*^9}, {3.8005167761655483`*^9, 3.800516805087948*^9}, {
   3.8137693256624827`*^9, 3.813769333056883*^9}, {3.8137694312286835`*^9, 
   3.813769485828684*^9}, {3.813769655977885*^9, 3.8137696683018847`*^9}, {
   3.8137697156790853`*^9, 3.8137697424018855`*^9}, {3.813770001550087*^9, 
   3.8137700469928875`*^9}, {3.813770298653089*^9, 3.8137703191514893`*^9}, {
   3.8138113100409837`*^9, 3.813811313589984*^9}, {3.813811366806984*^9, 
   3.8138113675269833`*^9}, {3.8138115985025845`*^9, 3.813811626566985*^9}, {
   3.813811659560985*^9, 3.8138119442821875`*^9}, 3.8138121534079885`*^9, {
   3.8138122521981893`*^9, 3.8138122761753893`*^9}, {3.814032851456402*^9, 
   3.8140328515614014`*^9}, {3.8143574386734524`*^9, 3.8143576017014523`*^9}, 
   3.8143576564676523`*^9, 3.8143625298106766`*^9, {3.8143628366492777`*^9, 
   3.814362921244278*^9}, {3.8143629514212775`*^9, 3.8143629881762776`*^9}, {
   3.8312298582780666`*^9, 3.831229983460121*^9}, {3.8312301461946297`*^9, 
   3.831230231038294*^9}, {3.8312302627411547`*^9, 3.831230394818349*^9}, {
   3.831230440506939*^9, 3.831230453881707*^9}, {3.831230507587071*^9, 
   3.8312305076787996`*^9}, {3.8312305874597797`*^9, 3.831230655327919*^9}, {
   3.8312308320574102`*^9, 3.8312308480848107`*^9}, {3.8312309549471436`*^9, 
   3.831231087167555*^9}, {3.831231142085062*^9, 3.8312311460851126`*^9}, {
   3.8312312285852585`*^9, 3.831231239162942*^9}, {3.831231397973029*^9, 
   3.8312314279287834`*^9}, {3.8312315794131517`*^9, 
   3.8312316213349094`*^9}, {3.8312319331857805`*^9, 3.831231984944482*^9}, 
   3.831232067292838*^9, {3.831232152178799*^9, 3.8312322555850782`*^9}, {
   3.8312323138660336`*^9, 3.8312323175537176`*^9}, {3.8312326817821417`*^9, 
   3.8312326874957347`*^9}, {3.8313140163274727`*^9, 
   3.8313141661398244`*^9}, {3.8313142361807013`*^9, 
   3.8313143465619287`*^9}, {3.8313143779680605`*^9, 
   3.8313144072026777`*^9}, {3.831314507526038*^9, 3.8313145527809105`*^9}, {
   3.8313146461700497`*^9, 3.8313148604838095`*^9}, {3.8313148929081244`*^9, 
   3.83131493340197*^9}, {3.8313149709523916`*^9, 3.8313149741241612`*^9}, {
   3.8313459442614565`*^9, 3.831345968374402*^9}, {3.831346081921133*^9, 
   3.831346183327606*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"d8621f97-ffc4-458b-a92a-65793a2286cb"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", 
   TagBox[GridBox[{
      {"0"},
      {
       FractionBox[
        RowBox[{"L", " ", "q"}], "2"]},
      {
       FractionBox[
        RowBox[{
         SuperscriptBox["L", "2"], " ", "q"}], "12"]},
      {"0"},
      {
       FractionBox[
        RowBox[{"L", " ", "q"}], "2"]},
      {
       RowBox[{"-", 
        FractionBox[
         RowBox[{
          SuperscriptBox["L", "2"], " ", "q"}], "12"]}]}
     },
     GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}}],
    Column], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.831346142264776*^9, 3.8313461853128085`*^9}},
 CellLabel->
  "Out[23]//MatrixForm=",ExpressionUUID->"792ad036-f230-411f-b4cd-\
96961ec1c02e"]
}, Open  ]]
},
WindowSize->{571.8, 510.},
WindowMargins->{{Automatic, 249}, {21.600000000000023`, Automatic}},
FrontEndVersion->"12.2 para Microsoft Windows (64-bit) (December 12, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"29c1ed21-5e26-462e-a574-ca98aa68c25d"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 268, 5, 28, "Input",ExpressionUUID->"7db3b26a-0156-48d4-b061-069852ac8e30"],
Cell[829, 27, 1827, 54, 88, "Input",ExpressionUUID->"854926e5-7808-4955-85ce-5de6040d2890"],
Cell[2659, 83, 171, 2, 28, "Input",ExpressionUUID->"118e9ed4-44aa-4706-9ef5-48c64e08babf"],
Cell[2833, 87, 924, 24, 88, "Input",ExpressionUUID->"9cb951e1-1a08-4983-ae9e-a9cdc517c6b3"],
Cell[3760, 113, 166, 2, 49, "Input",ExpressionUUID->"6aa40487-2225-4bca-bb40-dcc1cc345d09"],
Cell[CellGroupData[{
Cell[3951, 119, 3668, 64, 155, "Input",ExpressionUUID->"d8621f97-ffc4-458b-a92a-65793a2286cb"],
Cell[7622, 185, 1048, 36, 194, "Output",ExpressionUUID->"792ad036-f230-411f-b4cd-96961ec1c02e"]
}, Open  ]]
}
]
*)

